use serde::Serialize;
use sqlx::SqlitePool;

use super::{stat::Stat, user::User};

pub(crate) mod equatorprice;
pub(crate) mod rowingbadge;

#[derive(Serialize)]
pub(crate) struct Achievements {
    equatorprice: equatorprice::Next,
}

impl Achievements {
    pub(crate) async fn for_user(db: &SqlitePool, user: &User) -> Self {
        let rowed_km = Stat::person(db, None, user).await.rowed_km;
        Self {
            equatorprice: equatorprice::Next::rowed_km(rowed_km),
        }
    }
}
